<?php

include_once("/usr/www/include/SQLite2ToSQLite3.php");
require_once('/usr/fallback/beroConf.php');

class apiCall {

	private $_name, $_parameters, $_files, $_execResult, $_execResultString, $_execResponseCode;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = basename(dirname(__FILE__));
		$this->_parameters = array_merge($get, $post);
		$this->_files = $files;
		$this->_execResult = true;
		$this->_execResponseCode = 200;
		$this->_execResultString = 'success';
	}

	function execute () {
		$bc = new beroConf('root');

		if ($bc->get('root', 'snmp-enabled') == 0) {
			$this->_execResultString .= ':Mode:disabled;';
			//$this->_execResponseCode = 410; 	// Response Code = 410 is cached from firefox browser. Even if the
			return($this->_execResult);		// mode is disabled, the Responde Code should be = 200
		}

		$this->_execResultString .= ':Mode:enabled;';

		unset($tmp);
		if (strlen(($tmp = $bc->get('root', 'snmp-syslocation'))) > 0) {
			$this->_execResultString .= 'DeviceLocation:' . $tmp . ';';
		}

		unset($tmp);
		if (strlen(($tmp = $bc->get('root', 'snmp-community-ro'))) > 0) {
			$this->_execResultString .= 'RoCommunity:' . $tmp . ';';
		}

		unset($tmp);
		if (strlen(($tmp = $bc->get('root', 'snmp-community-rw'))) > 0) {
			$this->_execResultString .= 'RwCommunity:' . $tmp . ';';
		}

		unset($tmp);
		$tmp = explode(',', $bc->get('root', 'snmptraps'));
		if (count($tmp) > 0) {
			$this->_execResultString .= ':Traps:';
			foreach($tmp as $Trap) {
				$this->_execResultString .= $Trap . ',';
			}
			rtrim($this->_execResultString, ',');
			$this->_execResultString .= ';';
		}

		unset($tmp);
		if (strlen(($tmp = $bc->get('root', 'snmp-community-trap'))) > 0) {
			$this->_execResultString .= 'TrapCommunity:' . $tmp . ';';
		}

		unset($tmp);
		if (strlen(($tmp = $bc->get('root', 'snmptraps_sink'))) > 0) {
			$this->_execResultString .= 'TrapSink:' . $tmp . ';';
		}

		unset($tmp);
		if (strlen(($tmp = $bc->get('root', 'snmptraps_intervall'))) > 0) {
			$this->_execResultString .= 'TrapInterval:' . $tmp . ';';
		}

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}

	function responsecode () {
		return($this->_execResponseCode);
	}
}
?>
